#
# spec file for package serdisplib (Version 1.97.7)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           serdisplib
BuildRequires:  gd-devel
%if 0%{?suse_version} > 1020
BuildRequires:  libusb-devel
%else
BuildRequires:  libusb
%endif
License:        GPL v2 or later
Group:          System/Libraries
Version:        2.01
Release:        3.1
Source0:        %{name}-%{version}.tar.bz2
URL:            http://serdisplib.sourceforge.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Library for Certain Serial and Parallel LC Displays

%description
This is a library with support for certain serial and parallel LC
displays connected to the parallel port (and also serial port with i2c
displays).



Authors:
--------
    Wolfgang Astleitner <mrwastl@users.sourceforge.net>

%package -n libserdisp2
Summary:        Serdisplib library
Group:          Development/Tools/Other
Autoreqprov:    on

%description -n libserdisp2
Library for serdisplib.

Author
------
        Bernhard Walle <bernhard@bwalle.de>

%package devel
Summary:        Development environment for serdisplib
Group:          Development/Libraries/C and C++
Requires:	libserdisp2 = %{version}

%description devel
This package contains the include-files and static libraries for
serdisplib



Authors:
--------
    Wolfgang Astleitner <mrwastl@users.sourceforge.net>

%package tools
Summary:        Serdisplib Tools (testserdisp, multidisplay)
Group:          Productivity/Multimedia/Other
Requires:       gd

%description tools
This package contains the tools for serdisplib



Authors:
--------
    Wolfgang Astleitner <mrwastl@users.sourceforge.net>

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --enable-libusb --prefix=%{_prefix} --libdir=%{_libdir}
make

%install
make DESTDIR=$RPM_BUILD_ROOT prefix=$RPM_BUILD_ROOT/%{_prefix} libdir=$RPM_BUILD_ROOT/%{_libdir} install
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%post -n libserdisp2 -p /sbin/ldconfig

%postun -n libserdisp2 -p /sbin/ldconfig

%files -n libserdisp2
%defattr(-,root,root)
%doc DOCS COPYING HISTORY README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/serdisplib

%files tools
%defattr(-,root,root)
%{_bindir}/*

%changelog
* Fri Mar  3 2017 duwe@suse.com
- update to v2.01:
- API-enhancements
  * new function serdisp_defaultdevice(displayname): returns default device identifier for given display name
    this function renders setting of device expressions unnecessary in most cases
    (testserdisp -n sdl -p out:  can now be simply entered as  testserdisp -n sdl)
- new displays / drivers / features:
  * SDC-Megtron USB-displays 240x128
  * output to an SDL window
  * Electronic Assembly EA KIT128-GXT (via serial port)
  * Omaura OLED (via serial port)
  * DG-16080 160x80
  * DG-16080-11 160x80 (non-square pixels)
  * displays driven by USB13700 USB module
  * Bolymin BL160128A colour OLED 18bit
  * 4DOLED-282815 colour OLED 18bit
  * Linux4Media L4M-2.8T320LCD USB LCD 320 Touch
  * Framebuffer device
  * GLCD2USB based device
  * experimental driver 'remote' (use configure-option --enable-experimental to enable)
  * support for mouse/touch events (SDL, L4M320T, framebuffer, displaylink)
  * added tool for generating touchscreen calibration info (framebuffer, displaylink)
  * added udev-rules file with rules for displays supported by serdisplib
- linking
  * option to compile library with libdl-support (libSDL, libusb, and libpthread are not linked to the library but loaded at runtime)
  * SONAME pattern matching added for maximum linux distribution compatibility (no more need for installed libusb-dev(el))
  * dynamic loading can be turned of with configure-option --disable-dynloading
  * compiling
  * compile option added to only build library without any tools (--disable-tools)
  * support for RPi and RPi2 (Raspberry 1-3) including cross-compiling (via environment variable $PROJECT)
- drivers: enhancements / bug-removal
  * framebuffer: support for 'ugly' damage reporting (write '\n' to framebuffer device)
- deprecated:
  * driver displaylink is deprecated (use configure-option --enable-deprecated to reactivate it)
* Sat May 21 2011 bernhard@bwalle.de
- Rename packages according shared library packaging policy.
* Tue Nov 23 2010 bernhard@bwalle.de
- Update to release 1.97.9.
- Don't ship the static library (*.a).
- Move the libserdisp.so link to the devel package.
- Change the group of the devel package to get rid of rpmint
  warning.
* Thu Jul 31 2008 bwalle@suse.de
- update to release 1.97.8
  (see http://sourceforge.net/project/shownotes.php?group_id=98249&release_id=616777)
* Tue Oct  9 2007 tsieden@suse.de
- update to release 1.97.7
  * serdisp_connect_usb.c:
    move interface-claiming part into separate function and do the claiming stuff
    not until the end of SDCONNusb_open()
  * serdisp_connect.h:
    small hack for c++-based projects: hide label of field 'signals' in struct
    serdisp_CONN_s
  * fixed erraneous pinouts in PINOUTS (S1D15G10-based displays and PCF8511)
  * some preparations for re-merging 1.97.x-tree with devel-tree
  * changes in bitbake file for openembedded linux
    (added do_stage()-section / minor changes)
  * display driver bug-removal and enhancements:
    ssdoled driver:
  - > fixed min/max-contrast settings for Osram Pictiva 128X64 OLED 4bit
    nokcol driver:
  - > x/y startpos offset now variable through options OFFSETX and OFFSETY:
    Abhishek uses shiftx=0 and shifty=2; my displays use 1/1.
    so i made both offset settings variable (default: OFFSETX=1;OFFSETY=1)
  * new displays/controllers:
  - -> linux4media L4M-5Ei usb-device (libusb and ioctl/hiddev)
    (cool usb-display with IR-sensor that connects as HID-device that is
    working out of the box when using linux)
  - -> alphacool 200x64 and 240x128 usb displays  (libusb)
* Sun Aug 12 2007 tsieden@suse.de
- update to release 1.97.6
  * fixed potential linking problem in src/Makefile (thanks to Bernhard Walle):
    libserdisp.so is now linked against libusb (if --enable-libusb is set)
  - -> obsoletes patch from Mon Apr  2 11:41:18 CEST 2007
  * enhancements / bug-removals in serdisp_tools.c, serdisp_colour.c, testserdisp.s
  * added support for S1D15G10-based displays in nokcol driver -> driver now uses
    generic sdtools_generic_get/setpixel() functions
  * added support for PCF8511-based displays in PCD8544 driver
  * backported the following displays/controllers (from current devel version):
  * Osram Pictiva 96X36 OLED 1bit, 1", monochrome
  * Osram Pictiva 96X64 OLED 16bit, 1", colour
  * Osram Pictiva 128X64 OLED 4bit, 2.7", greyscale
  * other minor changes / code beautifyings
- fix build (BuildRequires libusb-devel only if suse_version >1020)
* Wed May 16 2007 olh@suse.de
- Buildrequires libusb -> libusb-devel
* Mon Apr  2 2007 bwalle@suse.de
- added build fix to link library against libusb, important when
  using dlopen() to use that library.
* Fri Mar  9 2007 tsieden@suse.de
- update to release 1.97.5
  * adapted some driver specs to current devel version
  * backported the following displays/controllers (from current devel version):
  * lh155-based displays (eg. Sharp M078CKA 240x64)
  - only 8080-mode supported for now
  * E08552 96x32 1bit (controller SED1530)
  * enhanced t6963-driver
  * slightly fastened sed133x-driver
* Fri Feb 23 2007 tsieden@suse.de
- update to release 1.97.4 (small bugfixes)
* Thu Jun 22 2006 ro@suse.de
- remove selfprovides
* Thu Apr 13 2006 tsieden@suse.de
- update to release 1.97.2
  * usb_bulk_read() causes some problems on certain linux-versions
  * multidisplay: corrected a bug resulting in a wrong background
    colour when in dithering mode (since v.1.96)
  * a SONAME is now set in libserdisp (enabled only when using linux)
  * new displays supported: ericsson r520, ks0108-based,
    c't includ usb-display
* Sat Mar 11 2006 tsieden@suse.de
- fixed build
* Fri Mar  3 2006 tsieden@suse.de
- initial release 1.96
